Kerbal Space Program - Bug #16490

Music no longer starts from the beginning of the track
11/09/2017 06:26 PM - McEckett

Status: Closed Start date: 11/09/2017
Severity: Normal % Done: 100%
Assignee:

Category: Audio

Target version: 1.4.3

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Whenever | go to either the Astronaut Complex, Administration, Mission control or R&D, any and all music that is played after |
visited these are truncated from the start, even the chirpy birds ambiance (except the ones from these buildings, maybe they have a
different file extension?). | mean, the music does not start from the beginning, but a few seconds after, then plays correctly. When the
next track arrives, the same happens and the first part of the track is absent. It is especially anoying when in space with all the tracks
starting mid-way.

Sometimes | don't even need to go to any buildings for the tracks to lack the beginning.

| searched and searched the Internet for any issue alike to find a fix and only found this lone person talking about it:
https://steamcommunity.com/app/220200/discussions/0/620712999976643381/

I remember this issue came when the new buildings where implemented, and it was one of the reason | gradually stopped playing
because it never got fixed.

| have no idea where this might come from. | got a new laptop and this one is entirely different from the former (whith which [ first
observed this issue) and my new laptop has better hardware for everything EXCEPT my audio card that by coincidence is exactly the
same (Realtek High Definition Audio). Drivers are up to date.

| thought version updates would fix this, but it remained. Do you have any records about Realtek causing issues ?

Steps to reproduce :

1 - launch the game and load a save

-> go to the Tracking Station and load something in space to listen to the relaxing soundtracks and observe everything works fine
2 - go to administration, astronaut complex, mission control or R&D

3 - switch back to anything where there is music (VAB, ship in orbit, menu...)

4 - observe that it now no longer starts from the beginning of the track

-> go back to administration, astronaut complex, mission control or R&D and observe that the music there is played correctly, from
the start.

History

#1 - 11/09/2017 06:33 PM - McEckett
- File persistent.loadmeta added
- File persistent.sfs added

- Severity changed from High to Normal

Whenever | go to either the Astronaut Complex, Administration, Mission control or R&D, any and all music that is played after | visited these are
truncated from the start, even the chirpy birds ambiance (except the ones from these buildings, maybe they have a different file extension?). | mean,
the music does not start from the beginning, but a few seconds after, then plays correctly. When the next track arrives, the same happens and the first
part of the track is absent. It is especially anoying when in space with all the tracks starting mid-way.

Sometimes | don't even need to go to any buildings for the tracks to lack the beginning.

| searched and searched the Internet for any issue alike to find a fix and only found this lone person talking about it:
https://steamcommunity.com/app/220200/discussions/0/620712999976643381/

| remember this issue came when the new buildings where implemented, and it was one of the reason | gradually stopped playing because it never
got fixed.

| have no idea where this might come from. | got a new laptop and this one is entirely different from the former (whith which | first observed this issue)
https://steamcommunity.com/app/220200/discussions/0/620712999976643381/
https://steamcommunity.com/app/220200/discussions/0/620712999976643381/

and my new laptop has better hardware for everything EXCEPT my audio card that by coincidence is exactly the same (Realtek High Definition
Audio). Drivers are up to date.

| thought version updates would fix this, but it remained. Are there any records about Realtek causing issues ?
Steps to reproduce :

1 - launch the game and load a save

-> go to the Tracking Station and load something in space to listen to the relaxing soundtracks and observe everything works fine

2 - go to administration, astronaut complex, mission control or R&D

3 - switch back to anything where there is music (VAB, ship in orbit, menu...)

4 - observe that it now no longer starts from the beginning of the track

-> go back to administration, astronaut complex, mission control or R&D and observe that the music there is played correctly, from the start.

#2 - 11/09/2017 06:36 PM - McEckett

- File deleted (persistent.loadmeta)

#3 - 11/09/2017 06:36 PM - McEckett
- File deleted (persistent.sfs)

#4 - 03/27/2018 03:19 PM - Squelch

- Status changed from New to Ready to Test
- Target version set to 1.4.1

- % Done changed from 0 to 80

- Expansion Core Game added

#5 - 03/30/2018 07:51 AM - Anth12
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Steam 1.4.1
Steam 1.4.1 (MH)
Steam 1.4.2 (MH)

What seems to be fixed is music playing as the player exits from the sph/vab where the screen is blank.

What isnt fixed is that the tracks in the VAB/SPH/Tracking station/In space/ landed on a planet are not starting the music track from the start most of
the time.

Going from the space center and back to the tracking station and then back to the tracking station again and again seems to indicate that the track is
running
in the tracking station is running even if when in the space center.

Looks to be 2 issues.

1. some music tracks are running off the same place in time in the track. so 1 track is running and the player exits from the tracking when it hits
20seconds into the track,

The next scene continues from the 20seconds on a completely different track.

2. When landed on minus the music plays from a point other than the beginning. Finishes and then starts the new track also not in the beginning.
possibly from the timestamp point

that the scene loaded on.

#7 - 04/03/2018 10:57 AM - Squelch
- Status changed from Not Fixed to Investigating

- % Done changed from 50 to 20

#8 - 04/17/2018 02:34 PM - Squelch
- Status changed from Investigating to Being Worked On
- % Done changed from 20 to 30

#9 - 04/26/2018 10:21 PM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version changed from 1.4.1 to 1.4.3

- % Done changed from 30 to 80
Music should play correctly from the beginning of the track on each scene switch now.

#10 - 04/28/2018 07:22 AM - Anth12

Waiting on GOG for a 1.4.3 core game to beable to confirm anything here.

Note: Initial testing shows that tracks are starting from the beginning however the music is stopping when going to the pause menu, and the settings
menu in the main menu
and the music track is starting from the beginning each time coming out of the pause menu, or choosing another track

#11 - 04/28/2018 07:37 AM - Anth12
Note...Im trying to use my steam KSP+MH to test for MH issues and my GOG KSP for core game only

#12 - 05/05/2018 07:50 PM - Anth12
- Status changed from Ready to Test to Needs Clarification

- % Done changed from 80 to 0

GOG 1.4.3 (core game only)

Squelch The music is now starting from the beginning of the track, now there are new issues

1. When in the main menu and clicking on settings the music stops even when going back to the main menu but starts again when starting/resuming
the game

2. Whenever the game is paused where there is music on a regular basis like space the music stops, and then unpaused the game will start another
track from the beginning.

Technically this is resolved but | suspect that the new issues are related to trying to fix this bug.

#13 - 08/09/2019 10:21 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#14 - 08/09/2019 10:21 PM - chris.fulton

- Status changed from Resolved to Closed

Closing, QA has not been able to reproduce this issue for some time and in effort of the database cleanup that is underway this bug is being closed.

Files
persistent.loadmeta 260 Bytes 11/09/2017 McEckett
persistent.sfs 93.6 KB 11/09/2017 McEckett
